Subject: bug#58412: 29.0.50; --with-x-toolkit=athena causes too small emacs window

From: Uwe Brauer <[email-masked]>
Date: Mon, 10 Oct 2022 16:14:49 +0200

>>> "PL" == Po Lu <[email-masked]> writes:

> Uwe Brauer <[email-masked]> writes:
>> Hi the following bug report concerns 
>> commit 93136169cba9c7c8f82
>> 
>> When compiling with the option 
>> --with-x-toolkit=athena 
>> 
>> Or to be precise 
>> 
>> 1) I run ./configure --prefix=/opt/emacs29 --with-x-toolkit=athena --without-pop --with-mailutils
>> 2) I run make bootstrap
>> 3) make
>> 4) cd src
>> 5) ./emacs -Q
>> 6) I obtain two screens I attach
>> 
>> When I repeat the steps without the --with-x-toolkit=athena
>> option, everything is fine
>> 
>> regards
>> 
>> Uwe Brauer 

> What version of KWin is that?

I am on Ubuntu 16.04 with trinity https://www.trinitydesktop.org/

How do I find out?

-- 
I strongly condemn Putin's war of aggression against the Ukraine.
I support to deliver weapons to Ukraine's military. 
I support the ban of Russia from SWIFT.
I support the EU membership of the Ukraine.